id: 269
createUser: admin
createTime: 2025-04-21T23:48:22.123105587Z
name: daytrader-app_test-app-libero199.215.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=jakarta-ee
                - konveyor.io/target=cloud-readiness
                - konveyor.io/target=quarkus
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 215
    name: daytrader-app_test-app-libero199
bucket:
    id: 502
    name: ""
started: 2025-04-21T23:48:22.398516963Z
terminated: 2025-04-22T00:19:26.544377994Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-04-21T23:48:22.367930942Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-04-21T23:48:22.382898046Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-269-tv4bb
      last: 2025-04-21T23:48:22.446162558Z
    - kind: PodPending
      count: 6
      reason: ContainerCreating
      last: 2025-04-21T23:48:25.642596039Z
    - kind: PodRunning
      count: 1648
      last: 2025-04-22T00:17:44.489690268Z
    - kind: PodSucceeded
      count: 1
      last: 2025-04-22T00:17:44.489690999Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-04-22T00:17:44.636884578Z
    - kind: PodDeleted
      count: 1
      last: 2025-04-22T00:19:26.544320265Z
errors:
    - severity: Error
      description: '[Analyzer] eap8/eap7.javax-to-jakarta-servlet-00102: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap8/eap7.javax-to-jakarta-servlet-00112: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] technology-usage.javase-01000: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] cloud-readiness.local-storage-00001: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] cloud-readiness.local-storage-00002: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap8/eap7.hibernate-search-6.1-00080: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap8/eap7.javax-to-jakarta-servlet-00043: unable to ask for Konveyor rule entry'
    - severity: Error
      description: '[Analyzer] eap8/eap7.javax-to-jakarta-servlet-00072: unable to ask for Konveyor rule entry'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/WASdev/sample.daytrader7'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/WASdev/sample.daytrader7 /shared/source/sample'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=7 (eap8/eap7)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=25 (jakarta-ee9)'
    - '[RULESET] fetching: id=6 (eap7/weblogic/tests/data)'
    - '[RULESET] fetching: id=24 (cloud-readiness)'
    - '[RULESET] fetching: id=18 (quarkus/springboot)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/7/rules /addon/rules/rulesets/7/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/25/rules /addon/rules/rulesets/25/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/6/rules /addon/rules/rulesets/6/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/24/rules /addon/rules/rulesets/24/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/18/rules /addon/rules/rulesets/18/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/7/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/25/rules --rules /addon/rules/rulesets/6/rules --rules /addon/rules/rulesets/24/rules --rules /addon/rules/rulesets/18/rules --label-selector (konveyor.io/target=jakarta-ee||konveyor.io/target=cloud-readiness||konveyor.io/target=quarkus) --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 215.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 38 reported. duration: 317.040544ms'
    - Facts updated.
    - Done.
attached:
    - id: 2459
      name: ssh-agent.output
      activity: 9
    - id: 2462
      name: git.output
      activity: 14
    - id: 2469
      name: windup-shim.output
      activity: 23
    - id: 2470
      name: windup-shim.output
      activity: 25
    - id: 2471
      name: windup-shim.output
      activity: 27
    - id: 2472
      name: windup-shim.output
      activity: 29
    - id: 2473
      name: windup-shim.output
      activity: 31
    - id: 2474
      name: windup-shim.output
      activity: 33
    - id: 2475
      name: windup-shim.output
      activity: 35
    - id: 2476
      name: settings.yaml
      activity: 36
    - id: 2477
      name: konveyor-analyzer.output
      activity: 37
    - id: 2479
      name: git.output
      activity: 40
    - id: 2465
      name: addon.log
    - id: 2466
      name: java.log
    - id: 2481
      name: pod.yaml
